SYS_RT_SIGTIMEDWAIT(9)

NAME
sys_rt_sigtimedwait - synchronously wait for queued signals specified in uthese

SYNOPSIS

long sys_rt_sigtimedwait(const sigset_t __user * uthese, siginfo_t __user * uinfo, const struct timespec __user * uts, size_t sigsetsize);

ARGUMENTS

uthese
    queued signals to wait for

uinfo
    if non-null, the signal's siginfo is returned here

uts
    upper bound on process time suspension

sigsetsize
    size of sigset_t type

COPYRIGHT